
#
# Try to find dfcmd.exe so we can run our demos
#
function find-dfcmd {

    $searchPath = ".\..\..",
                ".\..\..\..\build\dfcmd\Debug",
                ".\..\..\..\build\dfcmd\Release"
     
    foreach( $dir in $searchPath) {
        $candidate = join-path $dir "dfcmd.exe"
        #Write-Host "Checking $candidate" -foreground yellow
        if (test-path $candidate) {
            $dfcmd = resolve-path $candidate
            #Write-Host "Found Document.Factory at " -nonewline -foreground green
            #Write-Host $dfcmd -foreground white
            #Write-Host
            return $dfcmd
        }
    }

    Write-Host "Failed to find Document.Factory " -foreground red
    Write-Host
    
    return $null
}


